"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestSetup = void 0;
const mock_cache_1 = require("./mock-cache");
class TestSetup {
    constructor(testComponentOrService, testModule) {
        this.testComponentOrService = testComponentOrService;
        this.testModule = testModule;
        this.dontMock = [];
        this.mocks = new Map();
        this.staticMocks = new Map();
        this.moduleReplacements = new Map();
        // eslint-disable-next-line @typescript-eslint/ban-types
        this.mockPipes = new Map();
        this.mockCache = new mock_cache_1.MockCache();
        this.providers = [];
        this.declarations = [];
        this.imports = [];
        this.withStructuralDirectives = new Map();
        this.alwaysRenderStructuralDirectives = false;
    }
}
exports.TestSetup = TestSetup;
//# sourceMappingURL=test-setup.js.map